SUBMIT_BIO(9)

NAME
submit_bio -

SYNOPSIS

void submit_bio (int rw, struct bio * bio);

ARGUMENTS

rw  whether to READ or WRITE, or maybe to READA (read ahead)

bio The &struct bio which describes the I/O

DESCRIPTION

 submit_bio is very similar in purpose to generic_make_request, and uses that function to do most of the work. Both are fairly rough interfaces, bio must be presetup and ready for I/O.